%{?nodejs_find_provides_and_requires}

%global packagename md5-hex
%global enable_tests 0
# Tests disabled due to missing 'ava' in Fedora

Name:		nodejs-md5-hex
Version:	1.3.0
Release:	1%{?dist}
Summary:	Create a MD5 hash with hex encoding

License:	MIT
URL:		https://github.com/sindresorhus/md5-hex.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/md5-hex/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(md5-o-matic)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Create a MD5 hash with hex encoding


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js browser.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Update to upstream 1.3.0 release

* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
